import type { UploadProps } from './upload';
import type { FileItem, UploadFile } from './interface';
declare const _default: (props: UploadProps, emit: any) => {
    uploadFiles: import("vue").WritableComputedRef<FileItem[], FileItem[]>;
    isDragger: import("vue").Ref<boolean, boolean>;
    clearFiles: () => void;
    addFile: (rawFile: UploadFile) => void;
    removeFile: (file: FileItem) => void;
};
export default _default;
